Skip to main content
PATCH
Update task

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

id
string<uuid>
required

Task ID (from GET /tasks)

Body

application/json
title
string
Required string length: 1 - 500
description
string | null
Maximum string length: 20000
status
enum<string>
Available options:
todo,
in_progress,
blocked,
done
priority
enum<string> | null
Available options:
low,
medium,
high,
null
due_date
string | null
Pattern: ^\d{4}-\d{2}-\d{2}$
company_id
string<uuid> | null

null makes the task private again

Response

Task updated

data
object
required